
Redmine - Defect #34574

Email Fetcher catch no Mails with smiley

2021-01-08 08:36 - C S

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 4.1.1

Description

Every time the system receives an e-mail (from Windows Outlook) with a smiley, the retrieval does not work ...

There is no error message, we can see that the mail has been read, but it will not be imported. In this case, no further emails are

imported.

Current Version

Related issues:

Is duplicate of Redmine - Feature #31921: Changes to properly support 4 byte ... Closed

History

#1 - 2021-01-08 08:38 - C S

Also does not work if an email (with ticket header) sent by the system is replied to

#2 - 2021-01-30 11:35 - Michael K.

We have similar problem with our Redmine, but I cannot confirm that it's the emoticon issue.

Sometimes once in a multiple emails, the message is marked as READ in inbox (Gmail IMAP) but is not updated in the Redmine.

What I've managed to find:

1. The problem is not present when creating new issue (ie. emails not connected to existing tickets are always read correctly into the system)

2. When someone "bumps" their email in existing issue bumped email is not read into the system (ie. sends an email to help@ inbox, issue is

created, I answer in redmine, he/she gets notification and then answers this email notification once to update an issue, and then forwards own answer

again to help@, then first mail is read correctly and second stays in the inbox - marked as READ but not put into redmine)

3. Yesterday we got an issue no #1213, my collegaue answered notfication about new issue creation, his message hasn't been put into Redmine, just

marked as READ in gmail inbox - production.log stays silent about that, just some lines regarding "missing scope, creating scope :system" etc)

I conducted various test - I told him to answer again removing all other content of email, email signature, etc.

I moved issue to another project, I've even elevated his rights to Project Manager (who has all the privelages) - didn't help

I changed rake command in crontab (allow ovveride, no persmission check etc) didn't help

I tried to answer to issue myslef, forawrding his email - didn't help

It worked after I added myself as issue observer, answered issue in Redmine directly, and then went to my inbox and answered notification about that

issue change

It's very weird because the problem happens to maybe 5% of mails (maybe even less) but sometimes it's a pain in the ***, especially when I cannot

tell some people (from sales department) to "log in to redmine and answer there"...

Environment:

  Redmine version                4.0.6.stable

  Ruby version                   2.7.0-p0 (2019-12-25) [x86_64-linux-gnu]

  Rails version                  5.2.3

  Environment                    production

  Database adapter               Mysql2

  Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

  Mailer delivery                smtp

SCM:

  Git                            2.25.1

  Filesystem                     

Redmine plugins:

  reopen_issues_by_mail          0.1.0

#3 - 2021-02-24 14:28 - C S
https://www.redmine.org/issues/1213


I made another Test:

3 Mails send from Outlook 365 to redmine:

1. First Mail  - Standard with no smiley

2. Second Mail - Standard With a smiley between text

3. Third Mail - Standard with no smiley

Redmine Email rake task

1. Fist Mail - catch, Notfication Mail send, but not deleted!, marked in Mailbox as unread

2. Second Mail, no catch, no notification, no visible error msg, marked in Mailbox as read

3. Third Mail, no catch, no notification, no visible error msg, marked in Mailbox as unread.

After i delete the second mail, the catcher works again...

Environment:

  Redmine version                4.1.1.stable

  Ruby version                   2.4.10-p364 (2020-03-31) [x86_64-linux-gnu]

  Rails version                  5.2.4.2

  Environment                    production

  Database adapter               Mysql2

  Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

  Mailer delivery                smtp

SCM:

  Subversion                     1.9.3

  Mercurial                      3.7.3

  Cvs                            1.12.13

  Bazaar                         2.7.0

  Git                            2.28.0

  Filesystem                     

Redmine plugins:

  additionals                    3.0.2-master

  mobile_issue_table             0.0.1

  redmine_checklists             3.1.18

  redmine_ckeditor               1.2.3

  redmine_contacts               4.3.2

  redmine_dmsf                   2.4.5

  redmine_issue_dynamic_edit     0.7.2

  redmine_issue_todo_lists       1.3

  redmine_issue_view_columns     1.0.1

  redmine_lightbox2              0.5.1

  redmine_logs                   0.2.0

  redmine_questions              1.0.2

  redmine_wktime                 4.1.1

  redmine_xapian                 2.0.3

#4 - 2021-02-28 17:53 - Marius BĂLTEANU

- Status changed from New to Closed

- Resolution set to Duplicate

The smiley issue is generated by your database configuration, most probably you are using MySQL with a column encoding such as utf8 which can

not store 4-Byte unicode characters (such as most emojis or special characters) If that is the case, see #10772.

In Redmine 4.1 we fixed this problem for new fresh installations (#31921), but for existing installations, before making that change, you need to

migrate your database. In the mentioned tickets, you can find various links to articles that describe the process. Please be aware that it's a sensitive

process and I highly recommend to backup your data before proceeding.

Please reopen if I'm wrong.

#5 - 2021-02-28 17:54 - Marius BĂLTEANU

Michael, for your problem, can you open a new tichet? it seems to be another issue on your case.

#6 - 2021-02-28 17:55 - Marius BĂLTEANU

- Is duplicate of Feature #31921: Changes to properly support 4 byte characters (emoji) when database is MySQL added

#7 - 2021-03-03 09:37 - C S

Great...i found my mistake.

Database was set to utf8mb4_unicode_ci but the config not ;)

Thank you very much for your support!
